from rainbowrooms.commands import base, Quit
from rainbowrooms.screen import Window
from rainbowrooms.world import World

def main():
    state = base
    world = World()
    with Window() as window:
        window.message("Welcome to the Rainbow Rooms!")
        while state:
            window.display(world)
            key = window.event()
            command = state.get(key)
            #window.log("%r => %s", key, command)
            if command:
                command = command(key)
                command.run(world, window)
                state = command.next_state
